VAJImport (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ide.VAJImport,VAJImport class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJImport

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ide.VAJTask
                        |
                        +--org.apache.tools.ant.taskdefs.optional.ide.VAJImport

public class VAJImport
extends VAJTask

Import source, class files, and resources to the Visual Age for Java workspace.

Example:

     <vajimport project="MyVAProject">
       <fileset dir="src">
         <include name="org/foo/subsystem1/**" />
         <exclude name="/org/foo/subsystem1/test/**" />
      </fileset>
     </vajexport>

import all source and resource files from the "src" directory which start with 'org.foo.subsystem1', except of these starting with 'org.foo.subsystem1.test' into the project MyVAProject.

If MyVAProject isn't loaded into the Workspace, a new edition is created in the repository and automatically loaded into the Workspace. There has to be at least one nested FileSet element.

Parameters:

Attribute | Description | Required
project | the name of the Project to import to | Yes
importSources | import Java sources, defaults to "yes" | No
importResources | import resource files (anything that doesn't end with .java or .class), defaults to "yes" | No
importClasses | import class files, defaults to "no" | No
remote | remote tool server to run this command against (format: <servername> : <port no>) | No
haltonerror | stop the build process if an error occurs, defaults to "yes" | No

Field Summary
`protected java.util.Vector` | `filesets`
`protected boolean` | `importClasses`
`protected java.lang.String` | `importProject`
`protected boolean` | `importResources`
`protected boolean` | `importSources`
`protected boolean` | `useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJTask
`haltOnError, remoteServer`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`VAJImport()`

Method Summary
`void` | `addFileset(FileSet set)` Adds a set of files (nested fileset attribute).
`void` | `execute()` Do the import.
`protected void` | `importFileset(FileSet fileset)` Import all files from the fileset into the Project in the Workspace.
`void` | `setDefaultexcludes(boolean useDefaultExcludes)` Sets whether default exclusions should be used or not.
`void` | `setImportClasses(boolean importClasses)` Flag to import .class files; optional, default false.
`void` | `setImportResources(boolean importResources)` Import resource files (anything that doesn't end in .class or .java); optional, default true.
`void` | `setImportSources(boolean importSources)` Import .java files; optional, default true.
`void` | `setProject(java.lang.String projectName)` The VisualAge for Java Project name to import into.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJTask
`getUtil, setHaltonerror, setRemote`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filesets

    protected java.util.Vector filesets

### importSources

    protected boolean importSources

### importResources

    protected boolean importResources

### importClasses

    protected boolean importClasses

### importProject

    protected java.lang.String importProject

### useDefaultExcludes

    protected boolean useDefaultExcludes

Constructor Detail

### VAJImport

    public VAJImport()

Method Detail

### setProject

    public void setProject(java.lang.String projectName)

  The VisualAge for Java Project name to import into.

### addFileset

    public void addFileset(FileSet set)

  Adds a set of files (nested fileset attribute).

### setImportClasses

    public void setImportClasses(boolean importClasses)

  Flag to import .class files; optional, default false.

### setImportResources

    public void setImportResources(boolean importResources)

  Import resource files (anything that doesn't end in .class or .java); optional, default true.

### setImportSources

    public void setImportSources(boolean importSources)

  Import .java files; optional, default true.

### setDefaultexcludes

    public void setDefaultexcludes(boolean useDefaultExcludes)

  Sets whether default exclusions should be used or not.

  Parameters:
    `useDefaultExcludes` - "true"|"on"|"yes" when default exclusions should be used, "false"|"off"|"no" when they shouldn't be used.

### execute

    public void execute()
                 throws BuildException

  Do the import.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### importFileset

    protected void importFileset(FileSet fileset)

  Import all files from the fileset into the Project in the Workspace.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.